Package eu.mhsl.minenet.minigames.message

# Class Countdown

java.lang.Object
eu.mhsl.minenet.minigames.message.Countdown

public class Countdown extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Countdown.CountdownModifier`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Countdown(Class<? extends TranslatableMessage> messageType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompletableFuture<Void>`
  `countdown(net.kyori.adventure.audience.Audience targets, int from, Consumer<Countdown.CountdownModifier> modifier)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Countdown

    public Countdown(Class<? extends TranslatableMessage> messageType)

- ## Method Details

  - ### countdown

    public CompletableFuture<Void> countdown(net.kyori.adventure.audience.Audience targets, int from, Consumer<Countdown.CountdownModifier> modifier)